org.jbpm.runtime.manager.impl.error

## Class ExecutionErrorHandlerInterceptor

- java.lang.Object
- - org.drools.core.fluent.impl.PseudoClockRunner
  - - org.drools.core.command.impl.AbstractInterceptor
    - - org.jbpm.runtime.manager.impl.error.ExecutionErrorHandlerInterceptor

- All Implemented Interfaces:
    org.drools.core.runtime.ChainableRunner, org.drools.core.runtime.InternalLocalRunner, org.kie.api.runtime.CommandExecutor, org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>

      public class ExecutionErrorHandlerInterceptor
      extends org.drools.core.command.impl.AbstractInterceptor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.runtime.InternalLocalRunner

      `org.drools.core.runtime.InternalLocalRunner.SingleBatchExecutable, org.drools.core.runtime.InternalLocalRunner.SingleCommandExecutable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionErrorHandlerInterceptor(org.kie.api.runtime.Environment env)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.runtime.RequestContext` | `execute(org.kie.api.runtime.Executable executable, org.kie.api.runtime.RequestContext ctx)`
    `protected boolean` | `hasInterceptorInStack()`
    `protected org.kie.api.runtime.RequestContext` | `internalExecute(org.kie.api.runtime.Executable executable, org.kie.api.runtime.RequestContext ctx)`

    - ### Methods inherited from class org.drools.core.command.impl.AbstractInterceptor

      `executeNext, getNext, setNext`

    - ### Methods inherited from class org.drools.core.fluent.impl.PseudoClockRunner

      `createContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.runtime.InternalLocalRunner

      `execute, execute, execute`

    - ### Methods inherited from interface org.kie.api.runtime.ExecutableRunner

      `create, create, createContext`

- - ### Constructor Detail

    - #### ExecutionErrorHandlerInterceptor

          public ExecutionErrorHandlerInterceptor(org.kie.api.runtime.Environment env)

  - ### Method Detail

    - #### execute

          public final org.kie.api.runtime.RequestContext execute(org.kie.api.runtime.Executable executable,
                                                                  org.kie.api.runtime.RequestContext ctx)

      Specified by:
        `execute` in interface `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`
      Overrides:
        `execute` in class `org.drools.core.fluent.impl.PseudoClockRunner`

    - #### internalExecute

          protected org.kie.api.runtime.RequestContext internalExecute(org.kie.api.runtime.Executable executable,
                                                                       org.kie.api.runtime.RequestContext ctx)

    - #### hasInterceptorInStack

          protected boolean hasInterceptorInStack()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.